PseudoColumnUsage (Java Platform SE 8 )
Keywords: java.sql.PseudoColumnUsage class
Date: 2015-05-24

compact2, compact3
java.sql

## Enum PseudoColumnUsage

- java.lang.Object
- - java.lang.Enum<PseudoColumnUsage>
  - - java.sql.PseudoColumnUsage

- All Implemented Interfaces:
    Serializable, Comparable<PseudoColumnUsage>

      public enum PseudoColumnUsage
      extends Enum<PseudoColumnUsage>

  Enumeration for pseudo/hidden column usage.
  Since:
    1.7
  See Also:
    `DatabaseMetaData.getPseudoColumns(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO_USAGE_RESTRICTIONS` There are no restrictions on the usage of the pseudo/hidden columns.
    `SELECT_LIST_ONLY` The pseudo/hidden column may only be used in a SELECT list.
    `USAGE_UNKNOWN` The usage of the pseudo/hidden column cannot be determined.
    `WHERE_CLAUSE_ONLY` The pseudo/hidden column may only be used in a WHERE clause.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PseudoColumnUsage` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PseudoColumnUsage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SELECT_LIST_ONLY

          public static final PseudoColumnUsage SELECT_LIST_ONLY

      The pseudo/hidden column may only be used in a SELECT list.

    - #### WHERE_CLAUSE_ONLY

          public static final PseudoColumnUsage WHERE_CLAUSE_ONLY

      The pseudo/hidden column may only be used in a WHERE clause.

    - #### NO_USAGE_RESTRICTIONS

          public static final PseudoColumnUsage NO_USAGE_RESTRICTIONS

      There are no restrictions on the usage of the pseudo/hidden columns.

    - #### USAGE_UNKNOWN

          public static final PseudoColumnUsage USAGE_UNKNOWN

      The usage of the pseudo/hidden column cannot be determined.

  - ### Method Detail

    - #### values

          public static PseudoColumnUsage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PseudoColumnUsage c : PseudoColumnUsage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PseudoColumnUsage valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.